diff -Naur WebKit-r41128/debian/copyright WebKit-r41128-nx/debian/copyright
--- WebKit-r41128/debian/copyright	1969-12-31 19:00:00.000000000 -0500
+++ WebKit-r41128-nx/debian/copyright	2009-02-23 16:01:26.190209710 -0500
@@ -0,0 +1,1082 @@
+Original source may be found at http://people.freedesktop.org/~alp/webkit/gtk/
+
+Files: debian/*
+Copyright: © 2007 Mike Hommey <glandium@debian.org>
+License: LGPL-2+ (/usr/share/common-licenses/LGPL-2)
+
+Files: JavaScriptCore/API/*,
+       JavaScriptCore/profiler/Profile.*,
+       JavaScriptCore/wtf/Assertions.*,
+       JavaScriptCore/wtf/HashIterators.h,
+       JavaScriptCore/wtf/MathExtras.h,
+       JavaScriptCore/wtf/OwnPtrWin.cpp,
+       JavaScriptCore/wtf/Platform.h,
+       JavaScriptCore/wtf/StringExtras.h,
+       JavaScriptCore/wtf/unicode/UTF8.*,
+       WebCore/WebCorePrefix.cpp,
+       WebCore/bindings/js/JSAudioConstructor.*,
+       WebCore/bindings/js/JSConsoleCustom.cpp,
+       WebCore/bindings/js/JSCSSRuleCustom.cpp,
+       WebCore/bindings/js/JSCSSStyleDeclarationCustom.*,
+       WebCore/bindings/js/JSCSSValueCustom.cpp,
+       WebCore/bindings/js/JSCustomXPathNSResolver.*,
+       WebCore/bindings/js/JSDOMApplicationCacheCustom.cpp,
+       WebCore/bindings/js/JSEventTargetBase.*,
+       WebCore/bindings/js/JSEventTargetNode.*,
+       WebCore/bindings/js/JSHTMLAllCollection.h,
+       WebCore/bindings/js/JSHTMLAppletElementCustom.*,
+       WebCore/bindings/js/JSHTMLDocumentCustom.cpp,
+       WebCore/bindings/js/JSHTMLElementCustom.cpp,
+       WebCore/bindings/js/JSHTMLEmbedElementCustom.*,
+       WebCore/bindings/js/JSHTMLFormElementCustom.cpp,
+       WebCore/bindings/js/JSHTMLFrameSetElementCustom.cpp,
+       WebCore/bindings/js/JSHTMLObjectElementCustom.*,
+       WebCore/bindings/js/JSHistoryCustom.h,
+       WebCore/bindings/js/JSInspectedObjectWrapper.*,
+       WebCore/bindings/js/JSInspectorCallbackWrapper.*,
+       WebCore/bindings/js/JSJavaScriptCallFrameCustom.cpp,
+       WebCore/bindings/js/JSLocationCustom.h,
+       WebCore/bindings/js/JSNamedNodeMapCustom.cpp,
+       WebCore/bindings/js/JSNamedNodesCollection.*,
+       WebCore/bindings/js/JSNodeCustom.cpp,
+       WebCore/bindings/js/JSNodeFilterCustom.cpp,
+       WebCore/bindings/js/JSNodeListCustom.cpp,
+       WebCore/bindings/js/JSQuarantinedObjectWrapper.*,
+       WebCore/bindings/js/JSSVGPODTypeWrapper.h,
+       WebCore/bindings/js/JSStorageCustom.*,
+       WebCore/bindings/js/JSStyleSheetCustom.cpp,
+       WebCore/bindings/js/JSStyleSheetListCustom.cpp,
+       WebCore/bindings/js/JSTextCustom.cpp,
+       WebCore/bindings/js/JSXSLTProcessorConstructor.*,
+       WebCore/bindings/js/GCController.*,
+       WebCore/bindings/objc/*,
+       WebCore/bridge/*,
+       WebCore/css/CSSCanvasValue.*,
+       WebCore/css/CSSFontFace.*,
+       WebCore/css/CSSFontFaceSource.*,
+       WebCore/css/CSSFontFaceSrcValue.*,
+       WebCore/css/CSSFontSelector.*,
+       WebCore/css/CSSGradientValue.*,
+       WebCore/css/CSSImageGeneratorValue.*,
+       WebCore/css/CSSPrimitiveValueMappings.h,
+       WebCore/css/CSSReflectValue.*,
+       WebCore/css/CSSReflectionDirection.h,
+       WebCore/css/CSSRuleList.idl,
+       WebCore/css/CSSSegmentedFontFace.*,
+       WebCore/css/CSSTimingFunctionValue.*,
+       WebCore/css/CSSTransformValue.*,
+       WebCore/css/CSSUnicodeRangeValue.*,
+       WebCore/css/CSSValueList.idl,
+       WebCore/css/MediaList.idl,
+       WebCore/css/MediaQuery*,
+       WebCore/css/view-source.css,
+       WebCore/css/svg.css,
+       WebCore/dom/BeforeTextInsertedEvent.*,
+       WebCore/dom/Clipboard.cpp,
+       WebCore/dom/ClipboardAccessPolicy.h,
+       WebCore/dom/EventTarget.cpp,
+       WebCore/dom/EventTarget.h,
+       WebCore/dom/ExceptionCode.cpp,
+       WebCore/dom/MessageEvent.*,
+       WebCore/dom/NodeWithIndex.h,
+       WebCore/dom/OverflowEvent.*,
+       WebCore/dom/Position*,
+       WebCore/dom/ProgressEvent.*,
+       WebCore/dom/RangeBoundaryPoint.h,
+       WebCore/dom/TextEvent.*,
+       WebCore/editing/*,
+       WebCore/history/*,
+       WebCore/html/Canvas*,
+       WebCore/html/HTMLAudioElement.*,
+       WebCore/html/HTMLCanvasElement.*,
+       WebCore/html/HTMLMediaElement.*,
+       WebCore/html/HTMLParserErrorCodes.*,
+       WebCore/html/HTMLSourceElement.*,
+       WebCore/html/HTMLTextFieldInnerElement.*,
+       WebCore/html/HTMLVideoElement.*,
+       WebCore/html/HTMLViewSourceDocument.*,
+       WebCore/html/MediaError.h,
+       WebCore/html/PreloadScanner.*,
+       WebCore/html/TimeRanges.*,
+       WebCore/html/VoidCallback.h,
+       WebCore/loader/CachePolicy.h,
+       WebCore/loader/CachedFont.*,
+       WebCore/loader/ImageDocument.*,
+       WebCore/loader/PluginDocument.*,
+       WebCore/loader/ProgressTracker.*,
+       WebCore/loader/SubstituteData.h,
+       WebCore/loader/SubstituteResource.h,
+       WebCore/loader/TextDocument.*,
+       WebCore/loader/FTPDirectoryDocument.*,
+       WebCore/loader/*/*,
+       WebCore/page/*,
+       WebCore/page/inspector/Breakpoint.js,
+       WebCore/page/inspector/BreakpointsSidebarPane.js,
+       WebCore/page/inspector/CallStackSidebarPane.js,
+       WebCore/page/inspector/DataGrid.js,
+       WebCore/page/inspector/DatabaseQueryView.js,
+       WebCore/page/inspector/DatabaseTableView.js,
+       WebCore/page/inspector/Object.js,
+       WebCore/page/inspector/ObjectPropertiesSection.js,
+       WebCore/page/inspector/Placard.js,
+       WebCore/page/inspector/ProfileView.js,
+       WebCore/page/inspector/ProfilesPanel.js,
+       WebCore/page/inspector/ScopeChainSidebarPane.js,
+       WebCore/page/inspector/Script.js,
+       WebCore/page/inspector/ScriptsPanel.js,
+       WebCore/page/inspector/ScriptView.js,
+       WebCore/page/inspector/SidebarTreeElement.js,
+       WebCore/page/inspector/SourceFrame.js,
+       WebCore/page/inspector/View.js,
+       WebCore/page/win/AXObjectCacheWin.cpp,
+       WebCore/page/win/AccessibilityObjectWrapperWin.h,
+       WebCore/platform/*,
+       WebCore/platform/graphics/svg/filters/cg/WK*,
+       WebCore/plugins/gtk/PluginDatabaseGtk.cpp,
+       WebCore/plugins/gtk/PluginPackageGtk.cpp,
+       WebCore/plugins/gtk/PluginViewGtk.cpp,
+       WebCore/plugins/npapi.cpp,
+       WebCore/plugins/npfunctions.h,
+       WebCore/plugins/PluginDatabase.*,
+       WebCore/plugins/PluginDebug.h,
+       WebCore/plugins/PluginInfoStore.*,
+       WebCore/plugins/PluginStream.*,
+       WebCore/plugins/PluginPackage.*,
+       WebCore/plugins/PluginView.*,
+       WebCore/plugins/PluginQuirkSet.h,
+       WebCore/plugins/qt/PluginDatabaseQt.cpp,
+       WebCore/plugins/qt/PluginPackageQt.cpp,
+       WebCore/plugins/qt/PluginViewQt.cpp,
+       WebCore/plugins/win/PluginMessageThrottlerWin.*,
+       WebCore/plugins/win/PluginDatabaseWin.cpp,
+       WebCore/plugins/win/PluginViewWin.cpp,
+       WebCore/plugins/win/PluginPackageWin.cpp,
+       WebCore/plugins/wx/PluginDataWx.cpp,
+       WebCore/plugins/wx/PluginDatabaseWx.cpp,
+       WebCore/plugins/wx/PluginPackageWx.cpp,
+       WebCore/plugins/wx/PluginViewWx.cpp,
+       WebCore/rendering/LayoutState.*,
+       WebCore/rendering/RenderHTMLCanvas.*,
+       WebCore/rendering/RenderImageGeneratedContent.*,
+       WebCore/rendering/RenderMedia.*,
+       WebCore/rendering/RenderTreeAsText.*,
+       WebCore/rendering/RenderWordBreak.*,
+       WebCore/rendering/SVGRenderTreeAsText.*,
+       WebCore/rendering/RenderVideo.*,
+       WebCore/storage/LocalStorage.*,
+       WebCore/storage/LocalStorageArea.*,
+       WebCore/storage/LocalStorageTask.*,
+       WebCore/storage/LocalStorageThread.*,
+       WebCore/storage/SessionStorage.*,
+       WebCore/storage/SessionStorageArea.*,
+       WebCore/storage/Storage.*,
+       WebCore/storage/StorageArea.*,
+       WebCore/storage/StorageEvent.*,
+       WebCore/storage/StorageMap.*,
+       WebCore/svg/ElementTimeControl.h,
+       WebCore/svg/*.idl,
+       WebCore/svg/animation/*,
+       WebCore/svg/graphics/SVGImage.*,
+       WebCore/svg/graphics/SVGImageEmptyClients.h,
+       WebCore/svg/graphics/SVGPaintServer*,
+       WebCore/svg/graphics/SVGResource*,
+       WebCore/svg/graphics/cg/CgSupport.*,
+       WebCore/svg/graphics/cg/RenderPathCg.cpp,
+       WebCore/svg/graphics/cg/SVGResourceClipperCg.cpp,
+       WebCore/svg/graphics/cg/SVGResourceFilterCg.cpp,
+       WebCore/svg/graphics/cg/SVGResourceMaskerCg.cpp,
+       WebCore/svg/graphics/filters/cg/WK*,
+       WebCore/svg/graphics/mac/SVGResourceFilterPlatformDataMac.h,
+       WebCore/xml/*,
+       WebKit/gtk/WebCoreSupport/ContextMenuClientGtk.*,
+       WebKit/gtk/WebCoreSupport/EditorClientGtk.*,
+       WebKit/gtk/WebCoreSupport/FrameLoaderClientGtk.*,
+       WebKitTools/DumpRenderTree/cg/ImageDiffCG.cpp,
+       WebKitTools/DumpRenderTree/mac/ObjCPlugin.*,
+       WebKitTools/DumpRenderTree/mac/ObjCPluginFunction.*,
+       WebKitTools/GtkLauncher/main.c,
+       WebKitTools/Scripts/run-sunspider,
+       WebKitTools/Scripts/update-sources-list.py,
+       WebKitTools/wx/build-wxwebkit,
+       WebKitTools/wx/browser/browser.cpp,
+       WebKitTools/WinLauncher/stdafx.*,
+       WebKitTools/WinLauncher/WinLauncher.*,
+       WebKit/mac/History/WebHistoryInternal.h
+       WebKit/mac/Misc/WebIconFetcher.*,
+       WebKit/mac/Misc/WebIconFetcherInternal.h,
+       WebKit/mac/Plugins/WebNetscapePluginEventHandler.*,
+       WebKit/mac/Plugins/WebNetscapePluginEventHandlerCarbon.*,
+       WebKit/mac/Plugins/WebNetscapePluginEventHandlerCocoa.*,
+       WebKit/mac/Plugins/nptextinput.h,
+       WebKit/mac/WebCoreSupport/WebDragClient.h,
+       WebKit/mac/WebCoreSupport/WebPasteboardHelper.h,
+       WebKit/win/*,
+       WebKit/wx/*,
+       WebKitLibraries/win/tools/scripts/auto-version.sh
+Copyright: © 2002, 2003, 2004, 2005, 2006, 2007, 2008 Apple Inc.
+           © 2005, 2006, 2007 Alexey Proskuryakov (ap@nypop.com)
+           © 2006, 2007 Trolltech ASA
+           © 2006, 2007 Nikolas Zimmermann <zimmermann@kde.org>
+           © 2006 Samuel Weinig <sam.weinig@gmail.com>
+           © 2006 James G. Speth (speth@end.com)
+           © 2006 Jonas Witt <jonas.witt@gmail.com>
+           © 2005 Frerich Raabe <raabe@kde.org>
+           © 2005 Maksim Orlovich <maksim@kde.org>
+           © 2001, 2002 Thomas Broyer, Charlie Bozeman and Daniel Veillard
+           © 2005, 2006 Alexander Kellett <lypanov@kde.org>
+           © 2005, 2006 Kimmo Kinnunen <kimmo.t.kinnunen@nokia.com>
+           © 2005, 2006 Michael Emmel mike.emmel@gmail.com
+           © 2005 Ben La Monica <ben.lamonica@gmail.com>
+           © 2005 Google Inc.
+           © 2005, 2006 Nokia Corporation
+           © 2005, 2006 Oliver Hunt <ojh16@student.canterbury.ac.nz>
+           © 2006, 2007 Eric Seidel <eric@webkit.org>
+           © 2006 Allan Sandfeld Jensen <sandfeld@kde.org>
+           © 2006 Charles Samuels <charles@kde.org>
+           © 2006 Dave MacLachlan (dmaclach@mac.com)
+           © 2006 David Smith (catfish.man@gmail.com)
+           © 2006 Dirk Mueller <mueller@kde.org>
+           © 2006 Don Gibson <dgibson77@gmail.com>
+           © 2006 Friedemann Kleint <fkleint@trolltech.com>
+           © 2006 George Staikos <staikos@kde.org>
+           © 2006 Justin Haygood <jhaygood@spsu.edu>
+           © 2006, 2007, 2008 Kevin Ollivier <kevino@theolliviers.com>
+           © 2006 Lars Knoll <lars@trolltech.com>
+           © 2006 Nefaur Khandker <nefaurk@gmail.com>
+           © 2006, 2007 Rob Buis <buis@kde.org>
+           © 2006 Simon Hausmann <hausmann@kde.org>
+           © 2006 Zack Rusin <zack@kde.org>
+           © 2007 Alp Toker <alp.toker@collabora.co.uk>
+           © 2007 Holger Hans Peter Freyther <zecke@selfish.org>
+           © 2007 Robin Dunn
+           © 2007 Staikos Computing Services Inc. <info@staikos.net>
+           © 2007 Henry Mason (hmason@mac.com)
+           © 2007 Hiroyuki Ikezoe
+           © 2007 Kouhei Sutou
+           © 2007 Vaclav Slavik
+           © 2008 Xan Lopez <xan@gnome.org>
+           © 2008 Collabora, Ltd.
+           © 2008 Julien Chaffraix <jchaffraix@webkit.org>
+	   © 2008 The Mozilla Foundation
+License: BSD-2
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+ 1. Redistributions of source code must retain the above copyright
+    notice, this list of conditions and the following disclaimer.
+ 2. Redistributions in binary form must reproduce the above copyright
+    notice, this list of conditions and the following disclaimer in the
+    documentation and/or other materials provided with the distribution.
+ .
+ THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
+ EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
+ CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+ EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+ PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+ PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
+ OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+Files: JavaScriptCore/API/JSRetainPtr.h,
+       JavaScriptCore/API/JSStringRefBSTR.*,
+       JavaScriptCore/DerivedSources.make,
+       JavaScriptCore/VM/*,
+       JavaScriptCore/kjs/CallData.h,
+       JavaScriptCore/kjs/CollectorHeapIntrospector.*,
+       JavaScriptCore/kjs/ConstructData.h,
+       JavaScriptCore/kjs/DebuggerCallFrame.*,
+       JavaScriptCore/kjs/InitializeThreading.*,
+       JavaScriptCore/kjs/JSActivation.*,
+       JavaScriptCore/kjs/JSGlobalData.*,
+       JavaScriptCore/kjs/JSGlobalObject.cpp,
+       JavaScriptCore/kjs/JSNotAnObject.*,
+       JavaScriptCore/kjs/JSVariableObject.*,
+       JavaScriptCore/kjs/SourceProvider.h,
+       JavaScriptCore/kjs/SourceRange.h,
+       JavaScriptCore/kjs/SymbolTable.h,
+       JavaScriptCore/profiler/*,
+       JavaScriptCore/wtf/ASCIICType.h,
+       JavaScriptCore/wtf/AVLTree.h,
+       JavaScriptCore/wtf/Deque.h,
+       JavaScriptCore/wtf/DisallowCType.h,
+       JavaScriptCore/wtf/Locker.h,
+       JavaScriptCore/wtf/MainThread.*,
+       JavaScriptCore/wtf/MallocZoneSupport.h,
+       JavaScriptCore/wtf/MessageQueue.h,
+       JavaScriptCore/wtf/Threading.h,
+       JavaScriptCore/wtf/ThreadingGtk.cpp,
+       JavaScriptCore/wtf/ThreadingNone.cpp,
+       JavaScriptCore/wtf/ThreadingPthreads.cpp,
+       JavaScriptCore/wtf/ThreadingQt.cpp,
+       JavaScriptCore/wtf/ThreadingWin.cpp,
+       JavaScriptCore/wtf/ThreadSpecific.h,
+       JavaScriptCore/wtf/mac/MainThreadMac.mm,
+       JavaScriptCore/wtf/gtk/MainThreadGtk.cpp,
+       JavaScriptCore/wtf/qt/MainThreadQt.cpp,
+       JavaScriptCore/wtf/unicode/Collator.h,
+       JavaScriptCore/wtf/unicode/CollatorDefault.cpp
+       JavaScriptCore/wtf/unicode/icu/CollatorICU.cpp,
+       JavaScriptCore/wtf/win/MainThreadWin.cpp,
+       JavaScriptCore/wtf/wx/MainThreadWx.cpp,
+       JavaScriptGlue/*,
+       WebCore/DerivedSources.make,
+       WebCore/WebCore.vcproj/migrate-idls.sh,
+       WebCore/bindings/js/JSAttrCustom.cpp,
+       WebCore/bindings/js/JSCanvasPixelArrayCustom.cpp,
+       WebCore/bindings/js/JSClipboardCustom.cpp,
+       WebCore/bindings/js/JSCustomSQL*,
+       WebCore/bindings/js/JSCustomVoidCallback.*,
+       WebCore/bindings/js/JSDatabaseCustom.cpp,
+       WebCore/bindings/js/JSHistoryCustom.cpp,
+       WebCore/bindings/js/JSEventCustom.cpp,
+       WebCore/bindings/js/JSHTMLFrameElementCustom.cpp,
+       WebCore/bindings/js/JSHTMLIFrameElementCustom.cpp,
+       WebCore/bindings/js/JSHTMLSelectElementCustom.h,
+       WebCore/bindings/js/JSSQLResultSetRowListCustom.cpp,
+       WebCore/bindings/js/JSSQLTransactionCustom.cpp,
+       WebCore/bindings/js/JSXMLHttpRequestCustom.cpp,
+       WebCore/bindings/js/JSXSLTProcessorCustom.cpp,
+       WebCore/bindings/js/StringSourceProvider.h,
+       WebCore/bindings/objc/DOMAbstractView.mm,
+       WebCore/bindings/objc/DOMAbstractViewFrame.h,
+       WebCore/bridge/npruntime.h,
+       WebCore/dom/ClassNodeList.*,
+       WebCore/dom/Clipboard.idl,
+       WebCore/dom/DOMCoreException.idl,
+       WebCore/dom/DOMCoreException.h,
+       WebCore/dom/EventException.idl,
+       WebCore/dom/EventException.h,
+       WebCore/dom/ExceptionBase.*,
+       WebCore/dom/SelectorNodeList.*,
+       WebCore/dom/StaticNodeList.*,
+       WebCore/dom/make_names.pl,
+       WebCore/editing/SmartReplace*,
+       WebCore/history/CachedPagePlatformData.h,
+       WebCore/html/CanvasPixelArray.*,
+       WebCore/html/HTMLTableRowsCollection.*,
+       WebCore/html/ImageData.*,
+       WebCore/loader/archive/*,
+       WebCore/loader/DocumentLoader.*,
+       WebCore/loader/FormState.*,
+       WebCore/loader/FrameLoader*,
+       WebCore/loader/MainResourceLoader.*,
+       WebCore/loader/NavigationAction.*,
+       WebCore/loader/NetscapePlugInStreamLoader.*,
+       WebCore/loader/ResourceLoader.*,
+       WebCore/loader/SubresourceLoader*,
+       WebCore/loader/icon/IconDatabaseClient.h,
+       WebCore/loader/icon/IconRecord.*,
+       WebCore/loader/icon/PageURLRecord.*,
+       WebCore/loader/mac/*,
+       WebCore/page/AccessibilityObject.*,
+       WebCore/page/AccessibilityListBox.*,
+       WebCore/page/AccessibilityListBoxOption.*,
+       WebCore/page/AccessibilityRenderObject.*,
+       WebCore/page/AnimationController.*,
+       WebCore/page/AXObjectCache.cpp,
+       WebCore/page/BarInfo.*,
+       WebCore/page/Console.*,
+       WebCore/page/DOMSelection.*,
+       WebCore/page/InspectorController.*,
+       WebCore/page/JavaScriptDebugListener.h,
+       WebCore/page/JavaScriptDebugServer.*,
+       WebCore/page/Location.*,
+       WebCore/page/Screen.*,
+       WebCore/page/WindowFeatures.h,
+       WebCore/page/inspector/*,
+       WebCore/page/mac/AccessibilityObjectWrapper.*,
+       WebCore/page/mac/PageMac.cpp,
+       WebCore/platform/AutodrainedPool.h,
+       WebCore/platform/FileChooser.*,
+       WebCore/platform/FileSystem.h,
+       WebCore/platform/FloatConversion.h,
+       WebCore/platform/SecurityOrigin.*,
+       WebCore/platform/SecurityOriginHash.h,
+       WebCore/platform/cf/FileSystemCF.cpp,
+       WebCore/platform/cf/SchedulePair.*,
+       WebCore/platform/cf/SharedBufferCF.cpp,
+       WebCore/platform/graphics/FontCache.*,
+       WebCore/platform/graphics/FontFallbackList.cpp,
+       WebCore/platform/graphics/FontDescription.cpp,
+       WebCore/platform/graphics/Glyph*,
+       WebCore/platform/graphics/SimpleFontData.cpp,
+       WebCore/platform/graphics/StringTruncator.*,
+       WebCore/platform/graphics/gtk/FontDataGtk.cpp,
+       WebCore/platform/graphics/gtk/FontCacheGtk.cpp,
+       WebCore/platform/graphics/gtk/GlyphPageTreeNodeGtk.cpp,
+       WebCore/platform/graphics/gtk/GlyphPageTreeNodePango.cpp,
+       WebCore/platform/graphics/gtk/IconGtk.cpp,
+       WebCore/platform/graphics/gtk/SimpleFontDataGtk.cpp,
+       WebCore/platform/graphics/gtk/SimpleFontDataPango.cpp,
+       WebCore/platform/graphics/mac/ColorMac.h,
+       WebCore/platform/graphics/mac/FontCacheMac.mm,
+       WebCore/platform/graphics/mac/FontDataMac.mm,
+       WebCore/platform/graphics/mac/GlyphPageTreeNodeMac.cpp,
+       WebCore/platform/graphics/mac/SimpleFontDataMac.mm,
+       WebCore/platform/graphics/win/ColorSafari.cpp,
+       WebCore/platform/graphics/win/FontCacheWin.cpp,
+       WebCore/platform/graphics/win/FontDataWin.cpp,
+       WebCore/platform/graphics/win/FontDatabase.*,
+       WebCore/platform/graphics/win/GlyphPageTreeNodeCairoWin.cpp,
+       WebCore/platform/graphics/win/GlyphPageTreeNodeCGWin.cpp,
+       WebCore/platform/graphics/win/SimpleFontDataWin.cpp,
+       WebCore/platform/graphics/win/SimpleFontDataCGWin.cpp,
+       WebCore/platform/graphics/win/SimpleFontDataCairoWin.cpp,
+       WebCore/platform/graphics/win/UniscribeController.*,
+       WebCore/platform/graphics/wx/FontCacheWx.cpp,
+       WebCore/platform/graphics/wx/FontDataWx.cpp,
+       WebCore/platform/graphics/wx/FontPlatformData.h,
+       WebCore/platform/graphics/wx/GlyphMapWx.cpp,
+       WebCore/platform/graphics/wx/SimpleFontDataWx.cpp,
+       WebCore/platform/gtk/ContextMenuGtk.cpp,
+       WebCore/platform/gtk/ContextMenuItemGtk.cpp,
+       WebCore/platform/gtk/PasteboardGtk.cpp,
+       WebCore/platform/gtk/SearchPopupMenuGtk.cpp,
+       WebCore/platform/mac/AutodrainedPool.mm,
+       WebCore/platform/mac/FileChooserMac.mm,
+       WebCore/platform/mac/SchedulePairMac.mm,
+       WebCore/platform/mac/SoftLinking.h,
+       WebCore/platform/mac/Threading.mm,
+       WebCore/platform/mac/WebCoreNSStringExtras.*,
+       WebCore/platform/mac/WebCoreObjCExtras.*,
+       WebCore/platform/mac/WebFontCache.mm,
+       WebCore/platform/network/HTTPParsers.*,
+       WebCore/platform/network/cf/FormDataStreamCFNet.*,
+       WebCore/platform/network/mac/FormDataStreamMac.*,
+       WebCore/platform/network/mac/WebCoreURLResponse.*,
+       WebCore/platform/posix/FileSystemPOSIX.cpp,
+       WebCore/platform/qt/FileSystemQt.cpp
+       WebCore/platform/qt/PlatformScreenQt.cpp,
+       WebCore/platform/qt/ThreadingQt.cpp,
+       WebCore/platform/sql/SQLValue.*,
+       WebCore/platform/sql/SQLiteAuthorizer.*,
+       WebCore/platform/text/StringBuffer.h,
+       WebCore/platform/text/StringBuilder.*,
+       WebCore/platform/text/mac/make-charset-table.pl,
+       WebCore/platform/win/FileSystemWin.cpp,
+       WebCore/platform/win/GDIObjectCounter.*,
+       WebCore/platform/win/MutexWin.cpp,
+       WebCore/platform/win/SharedBufferWin.cpp,
+       WebCore/platform/win/SoftLinking.h,
+       WebCore/platform/win/WindowMessageBroadcaster.*,
+       WebCore/platform/win/WindowMessageListener.h,
+       WebCore/platform/wx/ThreadingWx.cpp,
+       WebCore/rendering/MediaControlElements.*,
+       WebCore/rendering/RenderListBox.*,
+       WebCore/rendering/RenderReplica.*,
+       WebCore/storage/*,
+       WebCore/xml/XMLHttpRequest.idl,
+       WebCore/xml/XMLHttpRequestException.h,
+       WebCore/xml/XMLHttpRequestException.idl,
+       WebCore/xml/XPathException.h,
+       WebCore/xml/XPathException.idl,
+       WebCore/xml/XSLTUnicodeSort.*,
+       WebKit/qt/WebCoreSupport/InspectorClientQt.*,
+       WebKitTools/BuildSlaveSupport/*,
+       WebKitTools/CodeCoverage/*,
+       WebKitTools/DumpRenderTree/*,
+       WebKitTools/Scripts/*,
+       WebKitTools/WebKitLauncher/*,
+       WebKitTools/FindSafari/*,
+       WebKitTools/wx/browser/browser.bkl,
+       WebKitTools/wx/install-unix-extras,
+       WebKit/*,
+       WebKit/gtk/*,
+       WebKit/win/DOMCreateInstance.*,
+       WebKit/win/ForEachCoClass.h,
+       WebKit/win/GEN_DOMObject.*,
+       WebKit/win/WebDatabaseManager.*,
+       WebKit/win/WebDragClient.h,
+       WebKit/win/WebInspector.*,
+       WebKit/win/WebInspectorClient.*,
+       WebKit/win/WebKit.vcproj/FixMIDLHeaders.pl,
+       WebKit/win/WebKit.vcproj/build-generated-files.sh,
+       WebKit/win/WebKitLogging.*,
+       WebKit/win/WebKitPrefix.*,
+       WebKit/win/WebKitStatistics*,
+       WebKit/win/WebKitSystemBits.*,
+       WebKit/win/WebPreferenceKeysPrivate.h,
+       WebKit/win/WebScriptCallFrame.*,
+       WebKit/win/WebTextRenderer.*,
+       WebKit/win/WebNodeHighlight.*,
+       WebKit/win/Interfaces/IWebIconFetcher.idl,
+       WebKit/win/Interfaces/IWebMutableURLRequestPrivate.idl,
+       WebKit/win/Interfaces/IWebSecurityOrigin.idl,
+       WebKit/win/WebCoreSupport/FormValuesPropertyBag.*,
+       WebKit/win/WebCoreSupport/WebFrameLoaderClient.*,
+       WebKit/win/WebCoreSupport/WebInspectorDelegate.cpp,
+       WebKit/wx/WebViewPrivate.h
+Copyright: © 2003, 2005, 2006, 2007, 2008 Apple Inc.
+           © 2006, 2007 Holger Hans Peter Freyther <zecke@selfish.org>
+           © 2004, Apple Computer, Inc. and The Mozilla Foundation
+           © 2006 Samuel Weinig <sam.weinig@gmail.com>
+           © 2006, 2007 Trolltech ASA
+           © 2006 Alexey Proskuryakov (ap@nypop.com)
+           © 2007 Matt Lilek (pewtermoose@gmail.com)
+           © 2006 Michael Emmel mike.emmel@gmail.com
+           © 2007, 2008 Alp Toker <alp@atoker.com>
+           © 2006, 2007 Kevin Ollivier <kevino@theolliviers.com>
+           © 2006 Mark Rowe <opendarwin.org@bdash.net.nz>
+           © 2004, 2005, 2006 Nathaniel Smith
+           © 2006, 2007 David Smith (catfish.man@gmail.com)
+           © 2006, 2007 Vladimir Olexa (vladimir.olexa@gmail.com)
+           © 2006 Nikolas Zimmermann <zimmermann@kde.org>
+           © 2006 Jonas Witt <jonas.witt@gmail.com>
+           © 2006 Eric Seidel (eric@webkit.org)
+           © 2006 Graham Dennis
+           © 2007 Staikos Computing Services, Inc. <info@staikos.net>
+           © 2007 Brent Fulgham
+           © 2007 Justin Haygood (jhaygood@reaktix.com)
+           © 2008 Cameron Zwarich (cwzwarich@uwaterloo.ca)
+           © 2008 Tony Chang <idealisms@gmail.com>
+License: BSD-3
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+ .
+ 1.  Redistributions of source code must retain the above copyright
+     notice, this list of conditions and the following disclaimer.
+ 2.  Redistributions in binary form must reproduce the above copyright
+     notice, this list of conditions and the following disclaimer in the
+     documentation and/or other materials provided with the distribution.
+ 3.  Neither the name of Apple, Inc. ("Apple") nor the names of
+     its contributors may be used to endorse or promote products derived
+     from this software without specific prior written permission.
+ .
+ THIS SOFTWARE IS PROVIDED BY APPLE AND ITS CONTRIBUTORS "AS IS" AND ANY
+ EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ DISCLAIMED. IN NO EVENT SHALL APPLE OR ITS CONTRIBUTORS BE LIABLE FOR ANY
+ DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+ (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+ LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+ ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+Files: WebCore/bridge/qt/*,
+       WebCore/page/Chrome.*,
+       WebCore/page/ChromeClient.h,
+       WebCore/page/Frame.*,
+       WebCore/page/FramePrivate.h,
+       WebCore/page/FrameTree.*,
+       WebCore/page/FrameView.*,
+       WebCore/page/MouseEventWithHitTestResults.*,
+       WebCore/page/Navigator.*,
+       WebCore/page/Page.*,
+       WebCore/page/Plugin.h,
+       WebCore/page/PrintContext.*,
+       WebCore/page/WindowFeatures.cpp,
+       WebCore/page/gtk/AXObjectCacheAtk.cpp,
+       WebCore/page/gtk/AccessibilityObjectWrapperAtk.*,
+       WebCore/page/mac/ChromeMac.mm,
+       WebCore/platform/PopupMenuClient.h,
+       WebCore/platform/PopupMenu.h,
+       WebCore/platform/SearchPopupMenu.h,
+       WebCore/platform/Shared.h,
+       WebCore/platform/StaticConstructors.h,
+       WebCore/platform/TreeShared.h,
+       WebCore/platform/graphics/FloatPoint3D.*,
+       WebCore/platform/graphics/Font.cpp,
+       WebCore/platform/graphics/Font.h,
+       WebCore/platform/graphics/FontDescription.h,
+       WebCore/platform/graphics/FontFallbackList.h,
+       WebCore/platform/graphics/Icon.h,
+       WebCore/platform/graphics/IntSizeHash.h,
+       WebCore/platform/graphics/PathTraversalState.cpp,
+       WebCore/platform/graphics/SimpleFontData.h,
+       WebCore/platform/graphics/cairo/CairoPath.h,
+       WebCore/platform/graphics/cairo/PathCairo.cpp,
+       WebCore/platform/graphics/gtk/FontPlatformData.h,
+       WebCore/platform/graphics/gtk/FontPlatformDataGtk.cpp,
+       WebCore/platform/graphics/gtk/FontPlatformDataPango.cpp,
+       WebCore/platform/graphics/gtk/MediaPlayerPrivateGStreamer.*,
+       WebCore/platform/graphics/gtk/PopupMenuGtk.cpp,
+       WebCore/platform/graphics/gtk/RenderThemeGtk.*,
+       WebCore/platform/graphics/gtk/VideoSinkGStreamer.*,
+       WebCore/platform/graphics/mac/FontCustomPlatformData.*,
+       WebCore/platform/graphics/mac/FontMac.mm,
+       WebCore/platform/graphics/mac/FontPlatformData.h,
+       WebCore/platform/graphics/mac/FontPlatformDataMac.mm,
+       WebCore/platform/graphics/mac/IconMac.mm,
+       WebCore/platform/graphics/qt/FontCacheQt.cpp,
+       WebCore/platform/graphics/qt/FontCustomPlatformData.*,
+       WebCore/platform/graphics/qt/FontDataQt.cpp,
+       WebCore/platform/graphics/qt/FontPlatformData.h,
+       WebCore/platform/graphics/qt/FontQt.cpp,
+       WebCore/platform/graphics/qt/GlyphPageTreeNodeQt.cpp,
+       WebCore/platform/graphics/qt/IconQt.cpp,
+       WebCore/platform/graphics/qt/MediaPlayerPrivatePhonon.*,
+       WebCore/platform/graphics/qt/SimpleFontDataQt.cpp,
+       WebCore/platform/graphics/win/FontCustomPlatformData.*,
+       WebCore/platform/graphics/win/FontCustomPlatformDataCairo.*,
+       WebCore/platform/graphics/win/FontPlatformData.h,
+       WebCore/platform/graphics/win/FontPlatformDataCGWin.cpp,
+       WebCore/platform/graphics/win/FontPlatformDataCairoWin.cpp,
+       WebCore/platform/graphics/win/IconWin.cpp,
+       WebCore/platform/gtk/CursorGtk.h,
+       WebCore/platform/gtk/EventLoopGtk.cpp,
+       WebCore/platform/gtk/PasteboardHelper.h,
+       WebCore/platform/mac/LocalCurrentGraphicsContext.*,
+       WebCore/platform/mac/PopupMenuMac.mm,
+       WebCore/platform/mac/SearchPopupMenuMac.mm,
+       WebCore/platform/network/FormData.*,
+       WebCore/platform/network/curl/CookieJarCurl.cpp,
+       WebCore/platform/network/soup/CookieJarSoup.cpp,
+       WebCore/platform/network/qt/QNetworkReplyHandler.*,
+       WebCore/platform/network/qt/ResourceRequestQt.cpp,
+       WebCore/platform/network/soup/ResourceHandleSoup.cpp,
+       WebCore/platform/qt/EventLoopQt.cpp,
+       WebCore/platform/qt/FileChooserQt.cpp,
+       WebCore/platform/qt/KURLQt.cpp,
+       WebCore/platform/qt/LoggingQt.cpp,
+       WebCore/platform/qt/MenuEventProxy.h,
+       WebCore/platform/qt/PopupMenuQt.cpp,
+       WebCore/platform/qt/QWebPopup.*,
+       WebCore/platform/qt/RenderThemeQt.*,
+       WebCore/platform/qt/SearchPopupMenuQt.cpp,
+       WebCore/platform/qt/WheelEventQt.cpp,
+       WebCore/platform/qt/html4-adjustments-qt.css,
+       WebCore/platform/text/AtomicString.*,
+       WebCore/platform/text/AtomicStringImpl.h,
+       WebCore/platform/text/Base64.cpp,
+       WebCore/platform/text/BidiContext.*,
+       WebCore/platform/text/BidiResolver.h,
+       WebCore/platform/text/ParserUtilities.h,
+       WebCore/platform/text/PlatformString.h,
+       WebCore/platform/text/String.cpp,
+       WebCore/platform/text/SegmentedString.*,
+       WebCore/platform/text/StringHash.h,
+       WebCore/platform/text/StringImpl.*,
+       WebCore/platform/text/TextBreakIterator.h,
+       WebCore/platform/text/TextBreakIteratorICU.cpp,
+       WebCore/platform/text/TextBreakIteratorInternalICU.h,
+       WebCore/platform/text/cf/StringCF.cpp,
+       WebCore/platform/text/cf/StringImplCF.cpp,
+       WebCore/platform/text/gtk/TextBreakIteratorInternalICUGtk.cpp,
+       WebCore/platform/text/mac/StringImplMac.mm,
+       WebCore/platform/text/mac/StringMac.mm,
+       WebCore/platform/text/mac/TextBreakIteratorInternalICUMac.mm,
+       WebCore/platform/text/qt/TextBreakIteratorQt.cpp,
+       WebCore/platform/text/win/TextBreakIteratorInternalICUWin.cpp,
+       WebCore/platform/win/PopupMenuWin.cpp,
+       WebCore/platform/win/SearchPopupMenuWin.cpp,
+       WebCore/platform/wx/PopupMenuWx.cpp,
+       WebCore/svg/SVGAngle.idl,
+       WebCore/svg/SVGColor.idl,
+       WebCore/svg/SVGDocument.idl,
+       WebCore/svg/SVGElement.idl,
+       WebCore/svg/SVGException.idl,
+       WebCore/svg/SVGFontData.*,
+       WebCore/svg/SVGHKernElement.idl,
+       WebCore/svg/SVGLength.idl,
+       WebCore/svg/SVGMatrix.idl,
+       WebCore/svg/SVGMetadataElement.idl,
+       WebCore/svg/SVGNumber.idl,
+       WebCore/svg/SVGPoint.idl,
+       WebCore/svg/SVGRect.idl,
+       WebCore/svg/SVGSVGElement.idl,
+       WebCore/svg/SVGTransform.idl,
+       WebCore/svg/graphics/SVGResourceFilter.*,
+       WebCore/svg/graphics/cg/SVGPaintServerCg.cpp,
+       WebCore/svg/graphics/cg/SVGPaintServerGradientCg.cpp,
+       WebCore/svg/graphics/cg/SVGPaintServerPatternCg.cpp,
+       WebCore/svg/graphics/cg/SVGPaintServerSolidCg.cpp,
+       WebCore/svg/graphics/filters/*,
+       WebCore/svg/graphics/filters/cg/SVG*,
+       WebCore/svg/graphics/qt/*,
+       WebCore/xml/DOMParser.*,
+       WebCore/xml/XMLSerializer.*,
+       WebCore/xml/XPathEvaluator.idl,
+       WebCore/xml/XPathExpression.idl,
+       WebCore/xml/XPathNSResolver.idl,
+       WebCore/xml/XPathResult.idl,
+       WebCore/xml/XSL*,
+       WebKit/gtk/WebCoreSupport/PasteboardHelperGtk.*,
+       WebKit/gtk/webkit/*,
+       WebKit/qt,
+       *
+Copyright: © 2002, 2003, 2004, 2005, 2006, 2007, 2008 Apple Inc.
+           © 1991, 1999 Free Software Foundation, Inc.
+           © 1997 Martin Jones (mjones@kde.org)
+           © 1998, 1999 Torben Weis <weis@kde.org>
+           © 1998-2003, 2006 Lars Knoll (knoll@kde.org)
+           © 1999-2004 Harri Porten (porten@kde.org)
+           © 1999, 2001 Antti Koivisto (koivisto@kde.org)
+           © 1999, 2002 Waldo Bastian (bastian@kde.org)
+           © 2000-2001 Dawit Alemayehu <adawit@kde.org>
+           © 2000 Daniel Molkentin (molkentin@kde.org)
+           © 2000-2003 Dirk Mueller (mueller@kde.org)
+           © 2000 Frederik Holljen (frederik.holljen@hig.no)
+           © 2000, 2001, 2003 Peter Kelly (pmk@post.com)
+           © 2000 Malte Starostik <malte@kde.org>
+           © 2000 Simon Hausmann <hausmann@kde.org>
+           © 2000 Stefan Schimanski (schimmi@kde.org)
+           © 2001 Tobias Anton (anton@stud.fbi.fh-darmstadt.de)
+           © 2001 Tim Copperfield <timecop@network.email.ne.jp>
+           © 2002, 2003 The Karbon Developers
+           © 2002 Cyrus Patel <cyp@fb14.uni-mainz.de>
+           © 2004, 2005, 2006, 2007 Nikolas Zimmermann <zimmermann@kde.org>
+           © 2004, 2005, 2006, 2007 Rob Buis <buis@kde.org>
+           © 2004, 2005 Allan Sandfeld Jensen (kde@carewolf.com)
+           © 2004, 2006 Zack Rusin <zack@kde.org>
+	   © 2004 Michal Zalewski <lcamtuf@coredump.cx>
+           © 2005, 2006 Alexander Kellett <lypanov@kde.org>
+           © 2005, 2006, 2007 Alexey Proskuryakov <ap@nypop.com>
+           © 2005, 2006 Oliver Hunt <ojh16@student.canterbury.ac.nz>
+           © 2006, 2007 Eric Seidel (eric@webkit.org)
+           © 2006, 2007 Samuel Weinig <sam@webkit.org>
+           © 2006 Anders Carlsson <andersca@mac.com>
+           © 2006 Andrew Wellington (proton@wiretapped.net)
+           © 2006 Bjoern Graf (bjoern.graf@gmail.com)
+           © 2006 Enrico Ros <enrico.ros@m31engineering.it>
+           © 2006 George Staikos <staikos@kde.org>
+           © 2006 Graham Dennis (graham.dennis@gmail.com)
+           © 2006 James G. Speth (speth@end.com)
+           © 2006 Jon Shier (jshier@iastate.edu)
+           © 2006, 2007 Maks Orlovich
+           © 2006 Michael Emmel <mike.emmel@gmail.com>
+           © 2006, 2008 Trolltech ASA
+           © 2007, 2008 Alp Toker <alp@atoker.com>
+           © 2007 Cameron Zwarich (cwzwarich@uwaterloo.ca)
+           © 2007 Holger Hans Peter Freyther <zecke@selfish.org>
+           © 2007 Krzysztof Kowalczyk <kkowalczyk@gmail.com>
+           © 2007 Staikos Computing Services Inc. <info@staikos.net>
+           © 2007 David Smith (catfish.man@gmail.com)
+           © 2007, 2008 Collabora, Ltd.
+           © 2007 OpenedHand
+           © 2007 Christian Dywan <christian@twotoasts.de>
+           © 2007 Luca Bruno <lethalman88@gmail.com>
+           © 2008 Xan Lopez <xan@gnome.org>
+	   © 2008 Nuanti Ltd
+           © 2007 Christian Dywan <christian@imiendo.com>
+License: LGPL-2+ (/usr/share/common-licenses/LGPL-2)
+
+Files: WebCore/bridge/npruntime_internal.h
+Copyright: © 2007 Collabora, Ltd.
+License: LGPL-2.1+ (/usr/share/common-licenses/LGPL-2)
+
+Files: JavaScriptCore/kjs/DateMath.*,
+       WebCore/bridge/npapi.h,
+       WebCore/html/HTMLDocument.cpp,
+       WebCore/platform/Arena.*,
+       WebCore/platform/gtk/gtk2drawing.c,
+       WebCore/platform/gtk/gtkdrawing.h,
+       WebCore/platform/image-decoders/gif/GIFImageReader.*,
+       WebCore/platform/image-decoders/jpeg/JPEGImageDecoder.cpp,
+       WebCore/platform/image-decoders/png/PNGImageDecoder.cpp,
+       WebCore/platform/image-decoders/zlib/mozzconf.h,
+       WebCore/platform/text/UnicodeRange.*,
+       WebCore/plugins/gtk/gtk2xtbin.*,
+       WebCore/plugins/gtk/xembed.h,
+       WebCore/rendering/RenderArena.*,
+       WebCore/rendering/RenderLayer.*
+Copyright: © 1998, 2001-2006 mozilla.org
+           © 1999, 2000 Harri Porten (porten@kde.org)
+           © 2003, 2004, 2005, 2006, 2007 Apple Inc.
+           © 1998-2000, 2002 Netscape Communications Corporation.
+           © 1999 Lars Knoll (knoll@kde.org)
+           © 1999 Antti Koivisto (koivisto@kde.org)
+           © 2004 IBM Corporation
+           © 2002 Sun Microsystems, Inc.
+License: LGPL-2.1+ (/usr/share/common-licenses/LGPL-2) | GPL-2+ (/usr/share/common-licenses/GPL-2) | MPL-1.1
+ Other contributors for this code include:
+ - Boris Zbarsky <bzbarsky@mit.edu>
+ - Brian Ryner <bryner@brianryner.com>
+ - Chris Saari <saari@netscape.com>
+ - Christian Biesinger <cbiesinger@web.de>
+ - David Baron <dbaron@fas.harvard.edu>
+ - Jeff Hostetler <jeff@nerdone.com>
+ - Josh Soref <timeless@mac.com>
+ - Michael Ventnor <m.ventnor@gmail.com>
+ - Nick Blievers <nickb@adacel.com.au>
+ - Pierre Chanial <p_ch@verizon.net>
+ - Raffaele Sena <raff@netwinder.org>
+ - Randall Jesup <rjesup@wgate.com>
+ - Robert O'Callahan <roc+@cs.cmu.edu>
+ - Roland Mainz <roland.mainz@informatik.med.uni-giessen.de>
+ - Stuart Parmenter <stuart@mozilla.com>
+ - Tom Rini <trini@kernel.crashing.org>
+
+Files: JavaScriptCore/pcre/*
+Copyright: © 1997-2005 University of Cambridge
+           © 2002, 2004, 2005, 2006, 2007 Apple Inc.
+License: BSD-3
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions are met:
+ .
+     * Redistributions of source code must retain the above copyright notice,
+       this list of conditions and the following disclaimer.
+ .
+     * Redistributions in binary form must reproduce the above copyright
+       notice, this list of conditions and the following disclaimer in the
+       documentation and/or other materials provided with the distribution.
+ .
+     * Neither the name of the University of Cambridge nor the names of its
+       contributors may be used to endorse or promote products derived from
+       this software without specific prior written permission.
+ .
+ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ POSSIBILITY OF SUCH DAMAGE.
+
+Files: JavaScriptCore/kjs/dtoa.cpp
+Copyright: © 1991, 2000, 2001 Lucent Technologies
+License: other
+ Permission to use, copy, modify, and distribute this software for any
+ purpose without fee is hereby granted, provided that this entire notice
+ is included in all copies of any software which is or includes a copy
+ or modification of this software and in all copies of the supporting
+ documentation for such software.
+ .
+ THIS SOFTWARE IS BEING PROVIDED "AS IS", WITHOUT ANY EXPRESS OR IMPLIED
+ WARRANTY.  IN PARTICULAR, NEITHER THE AUTHOR NOR LUCENT MAKES ANY
+ REPRESENTATION OR WARRANTY OF ANY KIND CONCERNING THE MERCHANTABILITY
+ OF THIS SOFTWARE OR ITS FITNESS FOR ANY PARTICULAR PURPOSE.
+
+Files: JavaScriptCore/wtf/FastMalloc.cpp,
+       JavaScriptCore/wtf/TC*
+Copyright: © 2005, 2007 Google Inc.
+License: BSD-3
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions are
+ met:
+ .
+     * Redistributions of source code must retain the above copyright
+ notice, this list of conditions and the following disclaimer.
+     * Redistributions in binary form must reproduce the above
+ copyright notice, this list of conditions and the following disclaimer
+ in the documentation and/or other materials provided with the
+ distribution.
+     * Neither the name of Google Inc. nor the names of its
+ contributors may be used to endorse or promote products derived from
+ this software without specific prior written permission.
+ .
+ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+ "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+ LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+ A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+ OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+ LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+Files: WebCore/platform/text/symbian/StringImplSymbian.*
+Copyright: © 2006 Nokia Corporation
+License: BSD-3
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+ .
+    * Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+    * Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+    * Neither the name of the Nokia Corporation nor the names of its
+      contributors may be used to endorse or promote products derived
+      from this software without specific prior written permission.
+ .
+ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+ "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+ LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+ A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+ OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+ LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
+ USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
+ DAMAGE.
+
+Files: JavaScriptCore/icu/*,
+       JavaScriptGlue/icu/*,
+       WebCore/icu/*,
+       WebKit/mac/icu/*,
+Copyright: © 1995-2006 International Business Machines Corporation and others
+License: other
+ Permission is hereby granted, free of charge, to any person obtaining a copy of this
+ software and associated documentation files (the "Software"), to deal in the Software
+ without restriction, including without limitation the rights to use, copy, modify,
+ merge, publish, distribute, and/or sell copies of the Software, and to permit persons
+ to whom the Software is furnished to do so, provided that the above copyright notice(s)
+ and this permission notice appear in all copies of the Software and that both the above
+ copyright notice(s) and this permission notice appear in supporting documentation.
+ .
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
+ INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
+ PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER
+ OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR
+ CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
+ PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
+ OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ .
+ Except as contained in this notice, the name of a copyright holder shall not be used in
+ advertising or otherwise to promote the sale, use or other dealings in this Software
+ without prior written authorization of the copyright holder.
+
+Files: WebCore/platform/image-decoders/zlib/*
+Copyright: © 1995-2005 Mark Adler
+           © 1995-2005 Jean-loup Gailly
+License: other
+ This software is provided 'as-is', without any express or implied
+ warranty.  In no event will the authors be held liable for any damages
+ arising from the use of this software.
+ .
+ Permission is granted to anyone to use this software for any purpose,
+ including commercial applications, and to alter it and redistribute it
+ freely, subject to the following restrictions:
+ .
+ 1. The origin of this software must not be misrepresented; you must not
+    claim that you wrote the original software. If you use this software
+    in a product, an acknowledgment in the product documentation would be
+    appreciated but is not required.
+ 2. Altered source versions must be plainly marked as such, and must not be
+    misrepresented as being the original software.
+ 3. This notice may not be removed or altered from any source distribution.
+
+Files: WebKitTools/DumpRenderTree/win/TestNetscapePlugin/main.c,
+       WebKitTools/DumpRenderTree/win/TestNetscapePlugin/main.cpp,
+       WebKitTools/DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp,
+       WebKitTools/DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.h,
+       WebKitTools/DumpRenderTree/TestNetscapePlugIn.subproj/TestObject.cpp,
+       WebKitTools/DumpRenderTree/TestNetscapePlugIn.subproj/TestObject.h,
+       WebKitTools/DumpRenderTree/TestNetscapePlugIn.subproj/main.cpp
+Copyright: © Apple Inc.
+License: other
+ IMPORTANT:  This Apple software is supplied to you by Apple Computer, Inc. ("Apple") in
+ consideration of your agreement to the following terms, and your use, installation,
+ modification or redistribution of this Apple software constitutes acceptance of these
+ terms.  If you do not agree with these terms, please do not use, install, modify or
+ redistribute this Apple software.
+ .
+ In consideration of your agreement to abide by the following terms, and subject to these
+ terms, Apple grants you a personal, non-exclusive license, under Apple's copyrights in
+ this original Apple software (the "Apple Software"), to use, reproduce, modify and
+ redistribute the Apple Software, with or without modifications, in source and/or binary
+ forms; provided that if you redistribute the Apple Software in its entirety and without
+ modifications, you must retain this notice and the following text and disclaimers in all
+ such redistributions of the Apple Software.  Neither the name, trademarks, service marks
+ or logos of Apple Computer, Inc. may be used to endorse or promote products derived from
+ the Apple Software without specific prior written permission from Apple. Except as expressly
+ stated in this notice, no other rights or licenses, express or implied, are granted by Apple
+ herein, including but not limited to any patent rights that may be infringed by your
+ derivative works or by other works in which the Apple Software may be incorporated.
+ .
+ The Apple Software is provided by Apple on an "AS IS" basis.  APPLE MAKES NO WARRANTIES,
+ EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF NON-INFRINGEMENT,
+ MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, REGARDING THE APPLE SOFTWARE OR ITS
+ USE AND OPERATION ALONE OR IN COMBINATION WITH YOUR PRODUCTS.
+ .
+ IN NO EVENT SHALL APPLE BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL OR CONSEQUENTIAL
+ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
+ OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE,
+ REPRODUCTION, MODIFICATION AND/OR DISTRIBUTION OF THE APPLE SOFTWARE, HOWEVER CAUSED AND
+ WHETHER UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR
+ OTHERWISE, EVEN IF APPLE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+Files: WebKitTools/iExploder/*
+Copyright: © 2005 Thomas Stromberg <thomas@stromberg.org>
+License: other
+ This software is provided 'as-is', without any express or implied warranty.
+ In no event will the authors be held liable for any damages arising from the
+ use of this software.
+ .
+ Permission is granted to anyone to use this software for any purpose,
+ including commercial applications, and to alter it and redistribute it
+ freely, subject to the following restrictions:
+ .
+ 1. The origin of this software must not be misrepresented; you must not
+ claim that you wrote the original software. If you use this software in a
+ product, an acknowledgment in the product documentation would be appreciated
+ but is not required.
+ .
+ 2. Altered source versions must be plainly marked as such, and must not be
+ misrepresented as being the original software.
+ .
+ 3. This notice may not be removed or altered from any source distribution.
+
+Files: WebKitTools/Scripts/prepare-ChangeLog
+Copyright: © 2000, 2001 Eazel, Inc.
+           © 2002, 2003, 2004, 2005, 2006, 2007 Apple Inc.
+License: GPL-2+ (/usr/share/common-licenses/GPL-2)
+
+Files: WebCore/bindings/scripts/XMLTiny.pm
+Copyright: © 2007 David Cantrell
+License: other
+ This program is free software; you can redistribute it and/or modify
+ it under the terms of either:
+ .
+    a) the GNU General Public License as published by the Free
+    Software Foundation; either version 1, or (at your option) any
+    later version, or
+    b) the "Artistic License" which comes with this Kit.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See either
+ the GNU General Public License or the Artistic License for more details.
+ .
+ You should have received a copy of the Artistic License with this
+ Kit, in the file named "Artistic".  If not, I'll be glad to provide one.
+ .
+ You should also have received a copy of the GNU General Public License
+ along with this program in the file named "Copying". If not, write to the
+ Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+ 02111-1307, USA or visit their web page on the internet at
+ http://www.gnu.org/copyleft/gpl.html.
+ .
+ For those of you that choose to use the GNU General Public License,
+ my interpretation of the GNU General Public License is that no Perl
+ script falls under the terms of the GPL unless you explicitly put
+ said script under the terms of the GPL yourself.  Furthermore, any
+ object code linked with perl does not automatically fall under the
+ terms of the GPL, provided such object code only adds definitions
+ of subroutines and variables, and does not otherwise impair the
+ resulting interpreter from executing any standard Perl script.  I
+ consider linking in C subroutines in this manner to be the moral
+ equivalent of defining subroutines in the Perl language itself.  You
+ may sell such an object file as proprietary provided that you provide  
+ or offer to provide the Perl source, as specified by the GNU General
+ Public License.  (This is merely an alternate way of specifying input
+ to the program.)  You may also sell a binary produced by the dumping of
+ a running Perl script that belongs to you, provided that you provide or
+ offer to provide the Perl source as specified by the GPL.  (The
+ fact that a Perl interpreter and your code are in the same binary file
+ is, in this case, a form of mere aggregation.)  This is my interpretation
+ of the GPL.  If you still have concerns or difficulties understanding
+ my intent, feel free to contact me.  Of course, the Artistic License
+ spells all this out for your protection, so you may prefer to use that.
+
+Files: WebKitLibraries/WebCoreSQLite3
+Copyright: © 2001, 2006
+License: other
+ The author disclaims copyright to this source code.  In place of
+ a legal notice, here is a blessing:
+ .
+    May you do good and not evil.
+    May you find forgiveness for yourself and forgive others.
+    May you share freely, never taking more than you give.
+
+Files: acinclude.m4
+Copyright: © 2007, 2008 Josh Triplett <josh@freedesktop.org>
+License: other
+ Copying and distribution of this file, with or without modification,
+ are permitted in any medium without royalty provided the copyright
+ notice and this notice are preserved.
